Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366493 - For pipeline, it is better to link the url on overview page to /pipelines/sample-pipeline instead of /builds/sample-pipeline
Summary: For pipeline, it is better to link the url on overview page to /pipelines/sam...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Management Console
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 06:40 UTC by Xingxing Xia
Modified: 2018-09-24 13:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-09 21:52:53 UTC


Attachments (Terms of Use)
breadcrumb_link_is_Builds_after_clicking_pipeline_from_overview_page.png (deleted)
2016-08-12 06:53 UTC, Xingxing Xia
no flags Details

Description Xingxing Xia 2016-08-12 06:40:39 UTC
Description of problem:
In overview page, click the pipeline name "sample-pipeline", it comes to https://master:8443/console/.../browse/builds/sample-pipeline page.
This page shows breadcrumb link:
Builds >> sample-pipeline

If click from nav bar --> Builds --> Pipelines --> sample-pipeline, it comes to https://master:8443/console/.../browse/pipelines/sample-pipeline page.
This pages shows breadcrumb link:
Pipelines >> sample-pipeline

However, above 2 pages are almost the same except the url and breadcrumb link.
Further more, in the former page, click "Builds" link on "Builds >> sample-pipeline", it comes to https://master:8443/console/.../browse/builds page, on which sample-pipeline is not seen thus user cannot go back to sample-pipeline page by one click.
In sum, from UX point, it is better to link the url on overview page to /pipelines/sample-pipeline instead of /builds/sample-pipeline

Version-Release number of selected component (if applicable):
openshift v1.3.0-alpha.3+2ff9dc5
kubernetes v1.3.0+507d3a7
etcd 2.3.0+git

How reproducible:
Always

Steps to Reproduce:
1. In overview page, click the pipeline name "sample-pipeline"
2.
3.

Actual results:
1. It links the url to /builds/sample-pipeline

Expected results:
2. It is better to link to /pipelines/sample-pipeline

Additional info:

Comment 1 Xingxing Xia 2016-08-12 06:53:11 UTC
Created attachment 1190276 [details]
breadcrumb_link_is_Builds_after_clicking_pipeline_from_overview_page.png

See the attachment

Comment 3 Xingxing Xia 2016-10-14 03:33:07 UTC
Verified using openshift vendored with latest origin-web-console commit b7fa730. Now the url in overview page points to .../pipelines/sample-pipeline 

But the page of .../builds/sample-pipeline is still functional, is it retained intentionally?

Comment 4 Samuel Padgett 2018-09-24 13:55:04 UTC
> But the page of .../builds/sample-pipeline is still functional, is it retained intentionally?

In 4.0, the build config URLs will be the same regardless of whether it is a pipeline or another strategy.


Note You need to log in before you can comment on or make changes to this bug.